% This file written by Chris Eppolito in 2023.
% I wrote a LaTeX tutorial on my website, which you should consider consulting if you have any questions.
% See https://eppo-math.codeberg.page/
%
\documentclass[12pt]{exam}
\usepackage[margin=1in]{geometry}
\usepackage{amsthm, amssymb, mathtools}
\usepackage[dvipsnames]{xcolor} % this is safe to remove
\newtheorem{theorem}{Theorem}
\newtheorem{proposition}[theorem]{Proposition}
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem{corollary}[theorem]{Corollary}
\theoremstyle{definition}
\newtheorem*{definition}{Definition}
\newtheorem{example}[theorem]{Example}
\theoremstyle{remark}
\newtheorem{remark}{Remark}
\newtheorem{problem}{Problem}
\usepackage[capitalise,nameinlink]{cleveref}
\crefname{theorem}{Theorem}{Theorems}
\crefname{proposition}{Proposition}{Propositions}
\crefname{lemma}{Lemma}{Lemmas}
\crefname{corollary}{Corollary}{Corollaries}
\crefname{example}{Example}{Examples}
\crefname{definition}{Definition}{Definitions}
\crefname{remark}{Remark}{Remarks}
\crefname{problem}{Problem}{Problems}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% IF YOU NEED A BIBLIOGRAPHY, PUT THAT SETUP HERE

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{document}
\newcommand{\myRGB}[3]{\textcolor{red}{#1}\textcolor{green}{#2}\textcolor{blue}{#3}} % REMOVE THIS!
\newcommand{\myName}{\myRGB{My }{Name }{Here}}   % MODIFY THIS!
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\myAssignment}{Homework 32}
\header{\myName}{\Large{\myAssignment}}{\small{\today}} % NO TOUCHY!
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% INSTRUCTIONS: Solve (at least) one of the following problems.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{problem}
  Prove that if \( G \) is an abelian group with order \( pq \) for some primes \( p \) and \( q \), then \( G \cong \mathbb{Z}/pq\mathbb{Z} \).
\end{problem}
% \begin{proof}
%
% \end{proof}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{problem}
  Prove that if \( G \) and \( H \) are cyclic groups with \( |G| = |H| \), then \( G \cong H \).

  You should solve this problem in two ways.
  First, use some propositions from class to write a short proof.
  Second, write an explicit isomorphism.
\end{problem}
% \begin{proof}
%
% \end{proof}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{problem}
  Prove or disprove: if \( G \cong H \) and \( G \) has a subgroup of order \( n \), then \( H \) has a subgroup of order \( n \).
\end{problem}
% \begin{proof}
%
% \end{proof}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{problem}
  Prove that \( \mathbb{Z} \not\cong \mathbb{Z}/n\mathbb{Z} \) for all \( n \in \mathbb{Z}_{>0} \).
\end{problem}
% \begin{proof}
%
% \end{proof}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{problem}
  Let \( G \) be a group and let \( \kappa_g \colon G \to G \) be defined \( \kappa_g(x) = gxg^{-1} \).
  \begin{enumerate}
  \item %
    Prove that \( \kappa_g \) is a bijection for all \( g \in G \).
  \item %
    Prove that \( \kappa_{gh} = \kappa_g \circ \kappa_h \) for all \( g, h \in G \).
  \item %
    Prove that \( H = \left\{\kappa_g : g \in G\right\} \) is a subgroup of \( S_G \).
  \item %
    Give a counterexample to show that \( \varphi \colon G \to H \) need not be an isomorphism.
  \end{enumerate}
\end{problem}
% \begin{proof}
%
% \end{proof}

%% RESOURCES FOR LaTeX
% https://detexify.kirelabs.org/classify.html
% https://www.overleaf.com/
% https://tex.stackexchange.com/
\end{document}
